<?php

namespace App\Modules\Lead\Domain;

interface LeadRepository
{
    public function index(IdLead $id);
    public function find(string $action);
    public function insert(Lead $value);
    public function update(Lead $value);
    public function delete(IdLead $id);
}
